Bug 305346 - KMail never automatically encrypts E-mail
Summary: KMail never automatically encrypts E-mail
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: crypto (show other bugs)
Version: 4.9.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 18:10 UTC by Marcus Harrison
Modified: 2012-08-29 11:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Harrison 2012-08-17 18:10:01 UTC
When the option "Automatically encrypt E-mail whenever possible" is selected in Configure KMail... --> Security --> Composing, KMail never encrypts a message to a recipient for whome you have a trusted public key, whether the recipient is manually typed into the To: field, selected from the Select Contacts dialogue or automatically populated through the Reply command.

Reproducible: Always
Comment 1 Laurent Montel 2012-08-29 10:21:25 UTC
I read code and it's never used in kmail 
Will fix it soon
Comment 2 Laurent Montel 2012-08-29 11:59:37 UTC
Git commit f9ee4db74e75b11cb989cc2992aa5019b7556a91 by Montel Laurent.
Committed on 29/08/2012 at 13:59.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 305346 - KMail never automatically encrypts E-mail

config was not used

FIXED-IN: 4.9.1

M  +9    -9    kmail/configuredialog.cpp
M  +0    -11   kmail/kmail.kcfg.cmake
M  +1    -63   kmail/kmcomposewin.cpp
M  +0    -11   kmail/kmcomposewin.h
M  +75   -15   messagecomposer/composerviewbase.cpp
M  +12   -0    messagecomposer/composerviewbase.h
M  +11   -0    messagecomposer/messagecomposer.kcfg.cmake

http://commits.kde.org/kdepim/f9ee4db74e75b11cb989cc2992aa5019b7556a91